LFR-FSW - Bug #804

Analyse Logiscope LFR_3.1.0.4 : Tr_ModelFonction Severity is High
19/10/2016 02:22 PM - William Recart

Status: Closed Start date: 19/10/2016
Priority: Low Due date:

Assignee: paul leroy % Done: 100%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
revision: r0

Description

Rappel de la regle :
Tr_ModelFonction
Definition:

Use inline functions instead of macro-functions.

Example:

// write
inline char *GetName(aClass &object) {
return(object.name);

}

// do not write
#define GetName(s) ((s)->name)

La régle n'est pas respectée dans 120 cas d'aprés Logiscope:
Fichier fsw_params.h : lignes 237, 238, 239, 241, 242, 243, 247, 248, 249, 251, 252, 253, 257, 258, 259, 261, 262, 263

History

#1 - 19/10/2016 03:45 PM - William Recart

- % Done changed from 0 to 100

Violation are due to use of debug macro to redefine printf() function in file fsw_params.h.

In case of debug compilation, macro functions redefined printf () function, in case of flight compilation, macro functions are defined as empty.
This is considered as acceptable at LFR level.

#2 - 09/01/2017 08:01 AM - paul leroy

- Status changed from New to Resolved

- Priority changed from Normal to Low

#3 - 13/01/2017 04:00 PM - William Recart

- Status changed from Resolved to Closed

Vérification effectuée sur le tag 322 (c0603702c8c8) , il reste en erreur les mémes lignes.
L'issue est considérée close.

#4 - 24/04/2017 12:32 PM - William Recart

Satus on FSW Vv3.2.0.15:
- fsw_params.h : lines 16, 17, 18, 20, 21, 22, 26, 27, 28, 30, 31, 32, 36, 37, 38, 40, 41, 42 : Violation are due to use of debug macro to redefine printf()
function in file fsw_params.h.

This is considered as acceptable at LFR level.

20/03/2024 12




#5 - 03/10/2018 06:39 PM - William Recart

Satus on FSW V3.2.0.21:

- fsw_params.h : lines 66, 67, 68, 76, 77, 78, 86, 87, 88 : Violation are due to use of debug macro to redefine printf() function in file fsw_params.h.
(not activated in fligth version)

This is considered as acceptable at LFR level.
